org.apache.ignite.mesos

## Class IgniteScheduler

- java.lang.Object
- - org.apache.ignite.mesos.IgniteScheduler

- All Implemented Interfaces:
    org.apache.mesos.Scheduler

      public class IgniteScheduler
      extends Object
      implements org.apache.mesos.Scheduler

  Ignite scheduler receives offers from Mesos and decides how many resources will be occupied.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CPU` Cpus.
    `static String` | `DEFAULT_PORT` Default port range.
    `static String` | `DELIM` Delimiter char.
    `static String` | `DISK` Disk.
    `static String` | `MEM` Mem.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IgniteScheduler(ClusterProperties clusterProps, ResourceProvider resourceProvider)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `disconnected(org.apache.mesos.SchedulerDriver schedulerDriver)`
    `void` | `error(org.apache.mesos.SchedulerDriver schedulerDriver, String s)`
    `void` | `executorLost(org.apache.mesos.SchedulerDriver schedulerDriver, org.apache.mesos.Protos.ExecutorID executorID, org.apache.mesos.Protos.SlaveID slaveID, int i)`
    `void` | `frameworkMessage(org.apache.mesos.SchedulerDriver schedulerDriver, org.apache.mesos.Protos.ExecutorID executorID, org.apache.mesos.Protos.SlaveID slaveID, byte[] bytes)`
    `void` | `offerRescinded(org.apache.mesos.SchedulerDriver schedulerDriver, org.apache.mesos.Protos.OfferID offerID)`
    `void` | `registered(org.apache.mesos.SchedulerDriver schedulerDriver, org.apache.mesos.Protos.FrameworkID frameworkID, org.apache.mesos.Protos.MasterInfo masterInfo)`
    `void` | `reregistered(org.apache.mesos.SchedulerDriver schedulerDriver, org.apache.mesos.Protos.MasterInfo masterInfo)`
    `void` | `resourceOffers(org.apache.mesos.SchedulerDriver schedulerDriver, List<org.apache.mesos.Protos.Offer> offers)`
    `void` | `setClusterProps(ClusterProperties clusterProps)`
    `void` | `slaveLost(org.apache.mesos.SchedulerDriver schedulerDriver, org.apache.mesos.Protos.SlaveID slaveID)`
    `void` | `statusUpdate(org.apache.mesos.SchedulerDriver schedulerDriver, org.apache.mesos.Protos.TaskStatus taskStatus)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CPU

          public static final String CPU

      Cpus.
      See Also:
        Constant Field Values

    - #### MEM

          public static final String MEM

      Mem.
      See Also:
        Constant Field Values

    - #### DISK

          public static final String DISK

      Disk.
      See Also:
        Constant Field Values

    - #### DEFAULT_PORT

          public static final String DEFAULT_PORT

      Default port range.
      See Also:
        Constant Field Values

    - #### DELIM

          public static final String DELIM

      Delimiter char.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### IgniteScheduler

          public IgniteScheduler(ClusterProperties clusterProps,
                                 ResourceProvider resourceProvider)

      Parameters:
        `clusterProps` - Cluster limit.
        `resourceProvider` - Resource provider.

  - ### Method Detail

    - #### resourceOffers

          public void resourceOffers(org.apache.mesos.SchedulerDriver schedulerDriver,
                                     List<org.apache.mesos.Protos.Offer> offers)

      Specified by:
        `resourceOffers` in interface `org.apache.mesos.Scheduler`

    - #### statusUpdate

          public void statusUpdate(org.apache.mesos.SchedulerDriver schedulerDriver,
                                   org.apache.mesos.Protos.TaskStatus taskStatus)

      Specified by:
        `statusUpdate` in interface `org.apache.mesos.Scheduler`

    - #### setClusterProps

          public void setClusterProps(ClusterProperties clusterProps)

      Parameters:
        `clusterProps` - Cluster properties.

    - #### registered

          public void registered(org.apache.mesos.SchedulerDriver schedulerDriver,
                                 org.apache.mesos.Protos.FrameworkID frameworkID,
                                 org.apache.mesos.Protos.MasterInfo masterInfo)

      Specified by:
        `registered` in interface `org.apache.mesos.Scheduler`

    - #### disconnected

          public void disconnected(org.apache.mesos.SchedulerDriver schedulerDriver)

      Specified by:
        `disconnected` in interface `org.apache.mesos.Scheduler`

    - #### error

          public void error(org.apache.mesos.SchedulerDriver schedulerDriver,
                            String s)

      Specified by:
        `error` in interface `org.apache.mesos.Scheduler`

    - #### frameworkMessage

          public void frameworkMessage(org.apache.mesos.SchedulerDriver schedulerDriver,
                                       org.apache.mesos.Protos.ExecutorID executorID,
                                       org.apache.mesos.Protos.SlaveID slaveID,
                                       byte[] bytes)

      Specified by:
        `frameworkMessage` in interface `org.apache.mesos.Scheduler`

    - #### slaveLost

          public void slaveLost(org.apache.mesos.SchedulerDriver schedulerDriver,
                                org.apache.mesos.Protos.SlaveID slaveID)

      Specified by:
        `slaveLost` in interface `org.apache.mesos.Scheduler`

    - #### executorLost

          public void executorLost(org.apache.mesos.SchedulerDriver schedulerDriver,
                                   org.apache.mesos.Protos.ExecutorID executorID,
                                   org.apache.mesos.Protos.SlaveID slaveID,
                                   int i)

      Specified by:
        `executorLost` in interface `org.apache.mesos.Scheduler`

    - #### offerRescinded

          public void offerRescinded(org.apache.mesos.SchedulerDriver schedulerDriver,
                                     org.apache.mesos.Protos.OfferID offerID)

      Specified by:
        `offerRescinded` in interface `org.apache.mesos.Scheduler`

    - #### reregistered

          public void reregistered(org.apache.mesos.SchedulerDriver schedulerDriver,
                                   org.apache.mesos.Protos.MasterInfo masterInfo)

      Specified by:
        `reregistered` in interface `org.apache.mesos.Scheduler`

2021 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021